Bug 1460937 - Winbind name normalization doesn't work for users
Winbind name normalization doesn't work for users
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: samba (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Andreas Schneider
Andrej Dzilský
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 04:06 EDT by Andrej Dzilský
Modified: 2017-08-01 14:21 EDT (History)
4 users (show)

See Also:
Fixed In Version: samba-4.6.2-7.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 14:21:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 12851 None None None 2017-06-20 04:54 EDT

  None (edit)
Comment 3 Andreas Schneider 2017-06-13 10:09:09 EDT
The test looks correct and the result too for me.

You have 'winbind normalize names = yes' set in smb.conf

Then usernames should be normalized. So the expected result is a username with underscores and not with spaces. That's exactly what wbinfo returns.

I guess it was broken before and is fixed now ;)


-> WORKSFORME
Comment 5 Andreas Schneider 2017-06-14 03:54:25 EDT
Yes, that looks like a bug :-)
Comment 6 Andreas Schneider 2017-06-20 09:47:12 EDT
I have a patch which was already accepted upstream
Comment 9 errata-xmlrpc 2017-08-01 14:21:34 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1950

Note You need to log in before you can comment on or make changes to this bug.